import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const url = 'https://gist.githubusercontent.com/Galineeharika/e3e4751be9ef222e16fc5348d488bb05/raw/316e0544e76d8fd0d3dd26252d20c7b65c1e8e8f/topojson.csv';

export const loadData = () => {
  const [data, setData] = useState(null);

   useEffect(() => {
     json(url).then(topology => {
       const { countries, nation } = topology.objects;
       setData({
         land: feature(topology, nation),
         interiors: mesh(topology, countries, (a, b) => a !== b)
       });
     });
   }, []);

  return data;
};
